image: python:3.10-slim

stages:
  - test

before_script:
  - pip install poetry
  - poetry install

lint:
  stage: test
  script:
    - poetry run flake8 .
    - poetry run black --check .
    - poetry run isort --check-only .

test:
  stage: test
  script:
    - poetry run python manage.py test
